ProductReleaseType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum ProductReleaseType

- java.lang.Object
- - java.lang.Enum<ProductReleaseType>
  - - tv.amwa.maj.enumeration.ProductReleaseType

- All Implemented Interfaces:
    Serializable, Comparable<ProductReleaseType>, MediaEnumerationValue

      public enum ProductReleaseType
      extends Enum<ProductReleaseType>
      implements MediaEnumerationValue

  Specifies the release type of a product, for example released, debug alpha etc.. Values of this type are used to specify product versions that consist of both a version number and a release type.

  Original C name: `aafProductReleaseType_e`

  See Also:
    `ProductVersion`, `Identification`, `TypeDefinitions.ProductReleaseType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Beta` Pre-release beta test version.
    `Debug` Development version.
    `Patched` Released version with patches.
    `PrivateBuild` Version not intended for general release.
    `Released` Released product.
    `Unknown` No additional version information.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static ProductReleaseType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ProductReleaseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### Unknown

          public static final ProductReleaseType Unknown

      No additional version information.

    - #### Released

          public static final ProductReleaseType Released

      Released product.

    - #### Debug

          public static final ProductReleaseType Debug

      Development version.

    - #### Patched

          public static final ProductReleaseType Patched

      Released version with patches.

    - #### Beta

          public static final ProductReleaseType Beta

      Pre-release beta test version.

    - #### PrivateBuild

          public static final ProductReleaseType PrivateBuild

      Version not intended for general release.

  - ### Method Detail

    - #### values

          public static ProductReleaseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProductReleaseType c : ProductReleaseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProductReleaseType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.